security/libassuan2 - The NetBSD Packages Collection

IPC library used by some of the other GnuPG related packages

The Libassuan package contains an IPC library used by some of the
other GnuPG related packages. Libassuan's primary use is to allow
a client to interact with a non-persistent server. Libassuan is
not, however, limited to use with GnuPG servers and clients. It
was designed to be flexible enough to meet the demands of many
transaction based environments with non-persistent servers.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

security/libgpg-error security/libgpg-error security/libgpg-error

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibassuan-2.5.4.tgz
NetBSD 8.0earmv7hflibassuan-2.5.3.tgz
NetBSD 8.0earmv7hflibassuan-2.5.4.tgz
NetBSD 8.0i386libassuan-2.5.3.tgz
NetBSD 8.0i386libassuan-2.5.4.tgz
NetBSD 8.0i386libassuan-2.5.4.tgz
NetBSD 8.0powerpclibassuan-2.5.3.tgz
NetBSD 8.0powerpclibassuan-2.5.4.tgz
NetBSD 8.0powerpclibassuan-2.5.4.tgz
NetBSD 8.0powerpclibassuan-2.5.4.tgz
NetBSD 8.0x86_64libassuan-2.5.4.tgz
NetBSD 8.0x86_64libassuan-2.5.3.tgz
NetBSD 8.0x86_64libassuan-2.5.4.tgz
NetBSD 9.0aarch64libassuan-2.5.3.tgz
NetBSD 9.0aarch64libassuan-2.5.4.tgz
NetBSD 9.0alphalibassuan-2.5.4.tgz
NetBSD 9.0alphalibassuan-2.5.3.tgz
NetBSD 9.0alphalibassuan-2.5.4.tgz
NetBSD 9.0earmlibassuan-2.5.3.tgz
NetBSD 9.0earmlibassuan-2.5.4.tgz
NetBSD 9.0earmlibassuan-2.5.4.tgz
NetBSD 9.0earmv6hflibassuan-2.5.4.tgz
NetBSD 9.0earmv6hflibassuan-2.5.3.tgz
NetBSD 9.0earmv6hflibassuan-2.5.4.tgz
NetBSD 9.0earmv6hflibassuan-2.5.4.tgz
NetBSD 9.0earmv7hflibassuan-2.5.4.tgz
NetBSD 9.0earmv7hflibassuan-2.5.3.tgz
NetBSD 9.0earmv7hflibassuan-2.5.4.tgz
NetBSD 9.0earmv7hflibassuan-2.5.4.tgz
NetBSD 9.0earmv7hflibassuan-2.5.4.tgz
NetBSD 9.0i386libassuan-2.5.3.tgz
NetBSD 9.0i386libassuan-2.5.4.tgz
NetBSD 9.0i386libassuan-2.5.4.tgz
NetBSD 9.0m68klibassuan-2.5.4.tgz
NetBSD 9.0m68klibassuan-2.5.3.tgz
NetBSD 9.0m68klibassuan-2.5.4.tgz
NetBSD 9.0mips64eblibassuan-2.5.4.tgz
NetBSD 9.0mips64eblibassuan-2.5.3.tgz
NetBSD 9.0mips64eblibassuan-2.5.4.tgz
NetBSD 9.0mipsellibassuan-2.5.4.tgz
NetBSD 9.0mipsellibassuan-2.5.4.tgz
NetBSD 9.0powerpclibassuan-2.5.4.tgz
NetBSD 9.0powerpclibassuan-2.5.3.tgz
NetBSD 9.0powerpclibassuan-2.5.4.tgz
NetBSD 9.0powerpclibassuan-2.5.4.tgz
NetBSD 9.0sh3ellibassuan-2.5.3.tgz
NetBSD 9.0sh3ellibassuan-2.5.4.tgz
NetBSD 9.0sh3ellibassuan-2.5.4.tgz
NetBSD 9.0sparc64libassuan-2.5.4.tgz
NetBSD 9.0sparc64libassuan-2.5.3.tgz
NetBSD 9.0sparc64libassuan-2.5.3.tgz
NetBSD 9.0sparc64libassuan-2.5.4.tgz
NetBSD 9.0sparclibassuan-2.5.4.tgz
NetBSD 9.0sparclibassuan-2.5.3.tgz
NetBSD 9.0sparclibassuan-2.5.4.tgz
NetBSD 9.0vaxlibassuan-2.5.4.tgz
NetBSD 9.0vaxlibassuan-2.5.4.tgz
NetBSD 9.0x86_64libassuan-2.5.3.tgz
NetBSD 9.0x86_64libassuan-2.5.4.tgz
NetBSD 9.0x86_64libassuan-2.5.4.tgz
NetBSD 9.0x86_64libassuan-2.5.4.tgz
NetBSD 9.0x86_64libassuan-2.5.3.tgz
NetBSD 9.0x86_64libassuan-2.5.4.tgz
NetBSD 9.0x86_64libassuan-2.5.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.